# -*- coding: utf-8 -*-
"""
Created on Sat Dec 27 12:33:57 2020

@author: Klaus Reinold
"""

from graphics_and_games_klassen import Figur

        
class Vogel(Figur):
    """
    Klasse zur Darstellung eines Vogels
    """
    
    def __init__(self):
        super().__init__()
        self.phase = 0
        self.FlügelObenZeichnen()
        
        

    def FlügelObenZeichnen(self):
        """
        Darstellung Flügel oben
        """
        super().EigeneFigurLoeschen()
        verschiebung =  10
        #Flügel hinten
        x1 = -20
        y1 = 0
        x2 = 0
        y2 = 0
        x3 = 10
        y3 = -25
        y1 = y1 + verschiebung
        y2 = y2 + verschiebung
        y3 = y3 + verschiebung
        super().FigurteilFestlegenDreieck(x1, y1, x2, y2, x3, y3, "grau")
        
        #Schnabel
        x1 = 40
        y1 = -10
        x2 = 50
        y2 = -15
        x3 = 40
        y3 = -20
        y1 = y1 + verschiebung
        y2 = y2 + verschiebung
        y3 = y3 + verschiebung
        super().FigurteilFestlegenDreieck(x1, y1, x2, y2, x3, y3, "orange")  
        
        #Kopf
        x = 10
        y = -30
        breite = 30
        höhe = 30
        y = y + verschiebung
        super().FigurteilFestlegenEllipse(x, y, breite, höhe, "schwarz")
        
        #Auge
        x = 28
        y = -22
        breite = 4
        höhe = 4
        y = y + verschiebung
        super().FigurteilFestlegenEllipse(x, y, breite, höhe, "blau")
        
        #Rumpf
        x = -40
        y = -15
        breite = 60
        höhe = 30
        y = y + verschiebung
        super().FigurteilFestlegenEllipse(x, y, breite, höhe, "schwarz")
        
        #Flügel vorne
        x1 = -20
        y1 = 0
        x2 = 0
        y2 = 0
        x3 = -30
        y3 = -25
        y1 = y1 + verschiebung
        y2 = y2 + verschiebung
        y3 = y3 + verschiebung
        super().FigurteilFestlegenDreieck(x1, y1, x2, y2, x3, y3, "grau")


    def FlügelUntenZeichnen(self):
        """
        Darstellung Flügel unten
        """   
        super().EigeneFigurLoeschen()
        verschiebung =  -10
        #Flügel hinten
        x1 = -20
        y1 = 0
        x2 = 0
        y2 = 0
        x3 = 20
        y3 = 15
        y1 = y1 + verschiebung
        y2 = y2 + verschiebung
        y3 = y3 + verschiebung
        super().FigurteilFestlegenDreieck(x1, y1, x2, y2, x3, y3, "grau")

        #Schnabel
        x1 = 40
        y1 = -10
        x2 = 50
        y2 = -15
        x3 = 40
        y3 = -20
        y1 = y1 + verschiebung
        y2 = y2 + verschiebung
        y3 = y3 + verschiebung
        super().FigurteilFestlegenDreieck(x1, y1, x2, y2, x3, y3, "orange")  

        #Kopf
        x = 10
        y = -30
        breite = 30
        höhe = 30
        y = y + verschiebung
        super().FigurteilFestlegenEllipse(x, y, breite, höhe, "schwarz")

        #Auge
        x = 28
        y = -22
        breite = 4
        höhe = 4
        y = y + verschiebung
        super().FigurteilFestlegenEllipse(x, y, breite, höhe, "blau")

        #Rumpf
        x = -40
        y = -15
        breite = 60
        höhe = 30
        y = y + verschiebung
        super().FigurteilFestlegenEllipse(x, y, breite, höhe, "schwarz")

        #Flügel vorne
        x1 = -20
        y1 = 0
        x2 = 0
        y2 = 0
        x3 = -50
        y3 = 20
        y1 = y1 + verschiebung
        y2 = y2 + verschiebung
        y3 = y3 + verschiebung
        super().FigurteilFestlegenDreieck(x1, y1, x2, y2, x3, y3, "grau")
    


    def FlügelMitteZeichnen(self):
        """
        Darstellung Flügel mittig
        """
        super().EigeneFigurLoeschen()
        verschiebung =  0

        #Schnabelteil unten
        x1 = 40
        y1 = -10
        x2 = 50
        y2 = -10
        x3 = 40
        y3 = -15
        y1 = y1 + verschiebung
        y2 = y2 + verschiebung
        y3 = y3 + verschiebung
        super().FigurteilFestlegenDreieck(x1, y1, x2, y2, x3, y3, "orange")  

        #Schnabelteil oben
        x1 = 40
        y1 = -15
        x2 = 50
        y2 = -20
        x3 = 40
        y3 = -20
        y1 = y1 + verschiebung
        y2 = y2 + verschiebung
        y3 = y3 + verschiebung
        super().FigurteilFestlegenDreieck(x1, y1, x2, y2, x3, y3, "orange")  

        #Kopf
        x = 10
        y = -30
        breite = 30
        höhe = 30
        y = y + verschiebung
        super().FigurteilFestlegenEllipse(x, y, breite, höhe, "schwarz")

        #Auge
        x = 28
        y = -22
        breite = 4
        höhe = 4
        y = y + verschiebung
        super().FigurteilFestlegenEllipse(x, y, breite, höhe, "blau")

        #Rumpf
        x = -40
        y = -15
        breite = 60
        höhe = 30
        y = y + verschiebung
        super().FigurteilFestlegenEllipse(x, y, breite, höhe, "schwarz")

        #Flügel vorne
        x1 = -20
        y1 = 0
        x2 = 0
        y2 = 0
        x3 = -50
        y3 = 5
        y1 = y1 + verschiebung
        y2 = y2 + verschiebung
        y3 = y3 + verschiebung
        super().FigurteilFestlegenDreieck(x1, y1, x2, y2, x3, y3, "grau")
    


    def AktionAusfuehren(self):
        """
        Aktionsmethode, die taktgesteuert aufgerufen wird
        """   
        if self.phase==0:
            self.FlügelObenZeichnen() 
            self.phase = 1
            
        elif self.phase==1:
            self.FlügelMitteZeichnen()
            self.phase = 2
            
        elif self.phase==2:
            self.FlügelUntenZeichnen()
            self.phase = 3
            
        elif self.phase==3:
            self.FlügelMitteZeichnen()
            self.phase = 0
            

        


fipsi = Vogel()
fipsi.GroesseSetzen(200)

