
/*:
# **Kapitel 2.1**
## **Aufgabe 3: Vogel, flieg! **
In diesem Projekt findest du neben der Darstellung des Vogels wie in Aufgabe 2 zwei weitere Methoden, die den Vogel in verschiedenen Flugphasen darstellen; zwei der Darstellungen sind dabei identisch. Überschreibe die Methode *AktionAusführen*, die regelmäßig taktgesteuert aufgerufen wird, damit der Vogel abwechselnd in den vier Flugphasen dargestellt wird. Verwende die Mehrfachauswahl wie im Struktogramm auf der nächsten Seite. Dazu wird auch ein Attribut für die Flugphase benötigt, dem in jeder Flugphase ein neuer Wert zugewiesen wird.
*/



/**
Klasse zur Darstellung eines Vogels

- author: Klaus Reinold
- version 1.0
*/
class Vogel: Figur
{
//#-editable-code
    /** Attribut phase vereinbaren und vorbesetzen */
	var phase: Int = 0

//#-end-editable-code
    
    /**
    Darstellung Flügel oben
    */
    func FlügelObenZeichnen()
    {
        EigeneFigurLöschen()
        let verschiebung =  10
        //Flügel hinten
        var x1 = -20
        var y1 = 0
        var x2 = 0
        var y2 = 0
        var x3 = 10
        var y3 = -25
        y1 = y1 + verschiebung
        y2 = y2 + verschiebung
        y3 = y3 + verschiebung
        FigurteilFestlegenDreieck(x1: x1, y1: y1, x2: x2, y2: y2, x3: x3, y3: y3, farbe: "grau");

        //Schnabel
        x1 = 40
        y1 = -10
        x2 = 50
        y2 = -15
        x3 = 40
        y3 = -20
        y1 = y1 + verschiebung
        y2 = y2 + verschiebung
        y3 = y3 + verschiebung
        FigurteilFestlegenDreieck(x1: x1, y1: y1, x2: x2, y2: y2, x3: x3, y3: y3, farbe: "orange")

        //Kopf
        var x = 10
        var y = -30
        var breite = 30
        var höhe = 30
        y = y + verschiebung
        FigurteilFestlegenEllipse(x: x, y: y, breite: breite, höhe: höhe, farbe: "schwarz")

        //Auge
        x = 28
        y = -22
        breite = 4
        höhe = 4
        y = y + verschiebung
        FigurteilFestlegenEllipse(x: x, y: y, breite: breite, höhe: höhe, farbe: "blau")

        //Rumpf
        x = -40
        y = -15
        breite = 60
        höhe = 30
        y = y + verschiebung
        FigurteilFestlegenEllipse(x: x, y: y, breite: breite, höhe: höhe, farbe: "schwarz")

        //Flügel vorne
        x1 = -20;
        y1 = 0;
        x2 = 0;
        y2 = 0;
        x3 = -30;
        y3 = -25;
        y1 = y1 + verschiebung;
        y2 = y2 + verschiebung;
        y3 = y3 + verschiebung;
        FigurteilFestlegenDreieck(x1: x1, y1: y1, x2: x2, y2: y2, x3: x3, y3: y3, farbe: "grau")
    }

    /**
    Darstellung Flügel unten
    */
    func FlügelUntenZeichnen()
    {
        EigeneFigurLöschen();
        let verschiebung =  -10
        //Flügel hinten
        var x1 = -20
        var y1 = 0
        var x2 = 0
        var y2 = 0
        var x3 = 20
        var y3 = 15
        y1 = y1 + verschiebung
        y2 = y2 + verschiebung
        y3 = y3 + verschiebung
        FigurteilFestlegenDreieck(x1: x1, y1: y1, x2: x2, y2: y2, x3: x3, y3: y3, farbe: "grau")

        //Schnabel
        x1 = 40
        y1 = -10
        x2 = 50
        y2 = -15
        x3 = 40
        y3 = -20
        y1 = y1 + verschiebung
        y2 = y2 + verschiebung
        y3 = y3 + verschiebung
        FigurteilFestlegenDreieck(x1: x1, y1: y1, x2: x2, y2: y2, x3: x3, y3: y3, farbe: "orange")

        //Kopf
        var x = 10
        var y = -30
        var breite = 30
        var höhe = 30
        y = y + verschiebung
        FigurteilFestlegenEllipse(x: x, y: y, breite: breite, höhe: höhe, farbe: "schwarz")

        //Auge
        x = 28
        y = -22
        breite = 4
        höhe = 4
        y = y + verschiebung
        FigurteilFestlegenEllipse(x: x, y: y, breite: breite, höhe: höhe, farbe: "blau")

        //Rumpf
        x = -40
        y = -15
        breite = 60
        höhe = 30
        y = y + verschiebung
        FigurteilFestlegenEllipse(x: x, y: y, breite: breite, höhe: höhe, farbe: "schwarz")

        //Flügel vorne
        x1 = -20
        y1 = 0
        x2 = 0
        y2 = 0
        x3 = -50
        y3 = 20
        y1 = y1 + verschiebung
        y2 = y2 + verschiebung
        y3 = y3 + verschiebung
        FigurteilFestlegenDreieck(x1: x1, y1: y1, x2: x2, y2: y2, x3: x3, y3: y3, farbe: "grau")
    }

    /**
    Darstellung Flügel mittig
    */
    func FlügelMitteZeichnen()
    {
        EigeneFigurLöschen();
        let verschiebung =  0;

        //Schnabelteil unten
        var x1 = 40
        var y1 = -10
        var x2 = 50
        var y2 = -10
        var x3 = 40
        var y3 = -15
        y1 = y1 + verschiebung
        y2 = y2 + verschiebung
        y3 = y3 + verschiebung
        FigurteilFestlegenDreieck(x1: x1, y1: y1, x2: x2, y2: y2, x3: x3, y3: y3, farbe: "orange")

        //Schnabelteil oben
        x1 = 40
        y1 = -15
        x2 = 50
        y2 = -20
        x3 = 40
        y3 = -20
        y1 = y1 + verschiebung;
        y2 = y2 + verschiebung;
        y3 = y3 + verschiebung;
        FigurteilFestlegenDreieck(x1: x1, y1: y1, x2: x2, y2: y2, x3: x3, y3: y3, farbe: "orange")

        //Kopf
        var x = 10
        var y = -30
        var breite = 30
        var höhe = 30
        y = y + verschiebung
        FigurteilFestlegenEllipse(x: x, y: y, breite: breite, höhe: höhe, farbe: "schwarz")

        //Auge
        x = 28
        y = -22
        breite = 4
        höhe = 4
        y = y + verschiebung
        FigurteilFestlegenEllipse(x: x, y: y, breite: breite, höhe: höhe, farbe: "blau")

        //Rumpf
        x = -40
        y = -15
        breite = 60
        höhe = 30
        y = y + verschiebung
        FigurteilFestlegenEllipse(x: x, y: y, breite: breite, höhe: höhe, farbe: "schwarz")

        //Flügel vorne
        x1 = -20
        y1 = 0
        x2 = 0
        y2 = 0
        x3 = -50
        y3 = 5
        y1 = y1 + verschiebung
        y2 = y2 + verschiebung
        y3 = y3 + verschiebung
        FigurteilFestlegenDreieck(x1: x1, y1: y1, x2: x2, y2: y2, x3: x3, y3: y3, farbe: "grau")
    }

/*: *AktionsAusführen* hier überschreiben*/
//#-editable-code
    /**
    Aktionsmethode, die taktgesteuert aufgerufen wird
    */
    override func AktionAusführen()
    {
        switch phase
        {
          case 0:
            FlügelObenZeichnen()
            phase = 1
          case 1:
            FlügelMitteZeichnen()
            phase = 2
          case 2:
            FlügelUntenZeichnen()
            phase = 3
          case 3:
            FlügelMitteZeichnen()
            phase = 0;
          default:
            break
        }
    }

//#-end-editable-code


}
//#-editable-code
Vogel()
//#-end-editable-code
