/**
Klasse zur Darstellung eines Hauses.

- author: Klaus Reinold
- version: 1.0
*/
class Haus: Figur
{

    /**
    Methode zum Zeichnen des Hauses
    */
    func HausZeichnen()
    {
        FigurteilFestlegenDreieck(x1: 0,y1: -10,x2: 10,y2: 0,x3: -10,y3: 0,farbe: "rot");
        FigurteilFestlegenRechteck(x: -10, y: 0, breite: 20, höhe: 20, farbe: "gelb");
    }

}


/*:
# **Kapitel 2.1**
## **Aufgabe 2 Zeichnen von Figuren**
In der Vorlage findest du eine Klasse HAUS, die von FIGUR erbt und bei Aufruf der zugehörigen Methode ein Haus zeichnet. Entwickle analog eine Klasse für den nebenstehenden Vogel.
*/



//#-editable-code

/**
Klasse zur Darstellung eines Vogels

- author: Klaus Reinold
- version: 1.0
*/
class Vogel: Figur
{
    

    /**
    Darstellung des Vogels gemäß Skizze
    */
    func VogelFlügelObenZeichnen()
    {
        EigeneFigurLöschen()
        let verschiebung =  10
        //Flügel hinten
        var x1 = -20
        var y1 = 0
        var x2 = 0
        var y2 = 0
        var x3 = 10
        var y3 = -25
        y1 = y1 + verschiebung
        y2 = y2 + verschiebung
        y3 = y3 + verschiebung
        FigurteilFestlegenDreieck(x1: x1, y1: y1, x2: x2, y2: y2, x3: x3, y3: y3, farbe: "grau")
        
        //Schnabel
        x1 = 40
        y1 = -10
        x2 = 50
        y2 = -15
        x3 = 40
        y3 = -20
        y1 = y1 + verschiebung
        y2 = y2 + verschiebung
        y3 = y3 + verschiebung
        FigurteilFestlegenDreieck(x1: x1, y1: y1, x2: x2, y2: y2, x3: x3, y3: y3, farbe: "orange")
        
        //Kopf
        var x = 10
        var y = -30
        var breite = 30
        var höhe = 30
        y = y + verschiebung
        FigurteilFestlegenEllipse(x: x, y: y, breite: breite, höhe: höhe, farbe: "schwarz")
        
        //Auge
        x = 28
        y = -22
        breite = 4
        höhe = 4
        y = y + verschiebung
        FigurteilFestlegenEllipse(x: x, y: y, breite: breite, höhe: höhe, farbe: "blau")
        
        //Rumpf
        x = -40
        y = -15
        breite = 60
        höhe = 30
        y = y + verschiebung
        FigurteilFestlegenEllipse(x: x, y: y, breite: breite, höhe: höhe, farbe: "schwarz")
        
        //Flügel vorne
        x1 = -20
        y1 = 0
        x2 = 0
        y2 = 0
        x3 = -30
        y3 = -25
        y1 = y1 + verschiebung
        y2 = y2 + verschiebung
        y3 = y3 + verschiebung
        FigurteilFestlegenDreieck(x1: x1, y1: y1, x2: x2, y2: y2, x3: x3, y3: y3, farbe: "grau")
    }


}



//Haus().HausZeichnen()
Vogel().VogelFlügelObenZeichnen()
//#-end-editable-code
