/*:
# **Kapitel 2.1**
## **Aufgabe 9 Rückwärtsturtle**
a\
Entwickle eine Klasse RÜCKWÄRTSTURTLE, die sich von einer normalen Turtle nur dadurch unterscheidet, dass sie sich rückwärts anstatt vorwärts bewegt. Dazu musst du nur eine Methode überschreiben.\
b\
Teste deine neue Klasse, indem du eine normale und eine Rückwärtsturtle erzeugst und ihnen jeweils die gleichen Anweisungen gibst. Benenne und begründe die mathematische Eigenschaft der entstehenden Figur.
*/

/**
Klasse zur Beschreibung einer Rückwärtsturtle
 
- author: Klaus Reinold
- version: 1.0
*/
class Rückwärtsturtle: Turtle
{

    /**
    Konstruktor der Rückwärtsturtle
    */
    override init()
    {
        super.init()
    }

    /**
    Überschriebene Methode Gehen
	- parameters:
    	- länge: Schritte
    */
    override func Gehen(länge: Double)
    {
        super.Gehen(länge: -länge)
    }
}

let t = Turtle()
t.PositionSetzen(x: 300, y: 100)
let tr = Rückwärtsturtle()
tr.PositionSetzen(x: 100, y: 100)
for _ in 1...5
{
	t.Drehen(grad: 144)
	tr.Drehen(grad: 144)
	t.Gehen(länge: 100)
	tr.Gehen(länge: 100)
}
